[POST] .../v1/cashserver/endsync
Completes cash server synchronization. Use this method to complete a cash server synchronization session after POS exchange work has finished. It requires a positive cash server id, checks sync_insert access and cash server validity and returns row_affected with start_date and end_date in result. Missing body, invalid id, denied access, unknown cash server, inconsistent sync state and synchronization persistence errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | Int64 | Required | Cash server ID. |
Request Example
{
"id": 1
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | EndSyncDatetime | Result object. |
Response Example
{
"ok": true,
"result": {
"end_date": 1,
"start_date": 1
}
}